elvish(1)

NAME
elvish - Expressive Programming Language + Versatile Interactive Shell

SYNOPSIS
elvish [flags] [script] [args]

FLAGS

-buildinfo
    Output information about the Elvish build and quit

-c  Treat the first argument as code to execute

-compileonly
    Parse and compile Elvish code without executing it

-deprecation-level int
    Show warnings for all features deprecated as of version 0.X (default 19)

-help
    Show usage help and quit

-i  A no-op flag, introduced for POSIX compatibility

-json
    Show the output from -buildinfo, -compileonly or -version in JSON

-log string
    Path to a file to write debug logs

-lsp
    Run the builtin language server

-norc
    Don't read the RC file when running interactively

-rc string
    Path to the RC file when running interactively

-version
    Output the Elvish version and quit

DESCRIPTION
Elvish is an expressive programming language and a versatile interactive shell, combined into one seamless package. It runs on Linux, BSDs, macOS and Windows.

SEE ALSO
https://elv.sh

Use doc: module for documentations.

AUTHOR
This manual page was written by Shengjing Zhu <zhsj@debian.org>, for the Debian GNU/Linux system (but may be used by others).